CDegreeCache.h File Reference
`#include <polybori/pbori_defs.h>`
`#include <polybori/BooleEnv.h>`
`#include "CCacheManagement.h"`

Go to the source code of this file.

## Classes

class | polybori::CIndexHandle< NaviType >
| This class defines an uses an navigator-like type for storing integer values from 0 upto nmax (number of currently active ring variables). More...
class | polybori::CIndexCacheHandle< NaviType >
class | polybori::CDegreeCache< DDType >
class | polybori::CBoundedDegreeCache< DDType >
class | polybori::CBlockDegreeCache< DDType >
class | polybori::CDegreeArgumentCache< TagType, DDType >

## Namespaces

| polybori

## Detailed Description

Author
  Alexander Dreyer

Date
  2006-09-21

This file contains declaration and template specilizations for the class template CDegreeCache.

Copyright:
  (c) 2006 by The PolyBoRi Team